Skip to main content
PATCH
/
v1
/
items
/
{itemId}
/
suppliers
/
{supplierId}
Update Item Supplier
curl --request PATCH \
  --url https://api.jtl-cloud.com/erp/v1/items/{itemId}/suppliers/{supplierId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --header 'x-appid: <x-appid>' \
  --header 'x-appversion: <x-appversion>' \
  --header 'x-tenant-id: <x-tenant-id>' \
  --data '
{
  "Sku": "<string>",
  "ItemName": "<string>",
  "IsStandard": true,
  "PurchasePriceNet": 123,
  "TaxRate": 123,
  "MinimumPurchaseQuantity": 123,
  "PermissibleOrderQuantity": 123,
  "DeliveryTime": 123,
  "UseSupplierDeliveryTime": true,
  "Stocklevel": 123,
  "IsDropshipping": true,
  "MergeStockLevel": true,
  "Comment": "<string>",
  "PackagingUnit": "<string>",
  "AmountPackagingUnit": 123,
  "ScalePrices": [
    {
      "FromQuantity": 123,
      "PurchasePriceNet": 123,
      "ReduceStandardPriceByPercent": 123
    }
  ]
}
'
{
  "ErrorCode": "<string>",
  "ValidationErrors": {},
  "Errors": {},
  "ErrorMessage": "<string>",
  "Stacktrace": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

x-api-key
string
header
required

Optional: If no token is present, the API Gateway injects it.

Headers

x-appid
string
required

This is the name of your application, e.g. "MyApp/1.0.0". It is used to identify your application.

x-appversion
string
required

This is where the version number of your application is entered, e.g. "1.0.0".

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

X-SessionId
string<uuid>

The id of a session in which the call will be executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

itemId
integer<int32>
required

The unique id of the item.

supplierId
integer<int32>
required

The unique id of the supplier.

Body

application/json

The itemSupplier to update.

Model Class: UpdateItemSupplier

Sku
string

Item SKU from the supplier.

ItemName
string

Item name from the supplier.

IsStandard
boolean

Defines the main supplier for the given item.

PurchasePriceNet
number<decimal>

Net purchase price from the supplier.

TaxRate
number<decimal>

Percent of VAT tax rate.

MinimumPurchaseQuantity
number<decimal>

The minimum purchase quantity from the supplier.

PermissibleOrderQuantity
number<decimal>

The permissible order quantity for the item from the supplier. The increments in which the item can be sold.

DeliveryTime
integer<int32>

Delivery time in days.

UseSupplierDeliveryTime
boolean

If set to true, Wawi will use the delivery time provided by the supplier and not by the item information. DeliveryTime will then be ignored.

Stocklevel
number<decimal>

Stock level of the item at the supplier.

IsDropshipping
boolean

Activates drop shipping for a given item and supplier.

MergeStockLevel
boolean

Forces Wawi to add the supplier's stock to your own stock.

Comment
string

Comment for the supplier.

PackagingUnit
string

Name of the packaging unit.

AmountPackagingUnit
number<decimal>

Quantity in a packaging unit.

ScalePrices
object[]

Scale prices from this supplier for the item.

Response